Subject: bug#44559:

From: Christopher Baines <[email-masked]>
Date: Mon, 22 Feb 2021 22:36:37 +0000

Ludovic Courtès <[email-masked]> writes:

> Perhaps we could start by testing this hypothesis on a separate build
> farm.  Chris, Mathieu, WDYT?

I'm currently thinking about attempting these kind of things (testing
building derivations under different conditions) through the agent tags
in the Guix Build Coordinator.

I haven't used this functionality yet, but it's mostly implemented. The
idea is that agents have tags, that describe various attributes that are
important (time=normal, time=future, maybe for example), and builds can
also be targeted at specific agents by tagging the builds with those
same tags.

Where I'm going with this is that I'm not sure a separate build farm is
needed, it would be good to just incorperate this in to the build farm
used for testing patches and non-master branches.